> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Offer Linked to a Subscription

> Remove an Offer from a Subscrition using Dashboard or APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

You can delete an Offer linked to a Subscription from the [Dashboard](/docs/payments/subscriptions/offers/delete#delete-an-offer-linked-to-a-subscription-from) or using [APIs](/docs/payments/subscriptions/offers/delete#delete-an-offer-linked-to-a-subscription-using). The invoices generated after the offer is deleted will be charged in full.

## Delete an Offer Linked to a Subscription From Dashboard

Watch this video to see how to delete an offer linked to a Subscription from the Dashboard.

<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/xdPZ3xpVDRQ" frameBorder="0" allow="accelerometer; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowFullScreen />

To delete an Offer linked to a Subscription:

1. Log in to the Dashboard and click **Subscriptions** under **PAYMENT PRODUCTS** in the left menu.
2. Click on the **Subscription Id** for which you want to update the offer.
3. Click **Remove** against Offer.

<Warning>
  **Watch Out!**

  The offer will be removed from the Subscription only at the end of the cycle. It is not possible to remove an offer linked to a Subscription immediately.
</Warning>

1. Click **Yes, Remove**.

## Delete an Offer Linked to a Subscription Using APIs

Use the [Delete an offer Linked to a Subscription API](/docs/api/payments/subscriptions/delete-offer).

<CodeGroup>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:YOUR_KEY_SECRET] \
  -X DELETE https://api.razorpay.com/v1/subscriptions/sub_00000000000001/offer_JHD834hjbxzhd38d \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  String subscriptionId = "sub_00000000000001";

  String offerId = "offer_JHD834hjbxzhd38d";

  Subscription subscription = razorpay.subscription.deleteSubscriptionOffer(subscriptionId, offerId);
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);

  $api->subscription->fetch($subscriptionId)->deleteOffer($offerId)
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.subscriptions.deleteOffer(subscriptionId, offerId)
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.subscription.delete_offer(subscriptionId, offerId)
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

  subscriptionId = "sub_00000000000001"

  offerId = "offer_JHD834hjbxzhd38d"
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  body, err := client.Subscription.DeleteOffer("<subscriptionId>", "<offerId>", nil, nil)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  string subscriptionId = "sub_I3GGEs7Xgmnozy";

  string offerId = "offer_JCTD1XMlUmzF6Z";

  Subscription subscription = client.Subscription.Fetch(subscriptionId).DeleteOffer(offerId);
  ```

  ```bash CLI theme={null}
  razorpay subscriptions delete-offer sub_ABC123 offer_ABC123
  ```
</CodeGroup>

### Related Information

* [About Offers](/docs/payments/subscriptions/offers)
* [Create Subscription Offers](/docs/payments/subscriptions/offers/create)
* [Link an Offer to a Subscription](/docs/payments/subscriptions/offers/link)
* [Update an Offer Linked to a Subscription](/docs/payments/subscriptions/offers/update)
